/*
   Copyright 2013 Harri Smatt

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
 */

package fi.harism.lucidchat.api;

/**
 * Channel information holder.
 */
public class Channel {

	private String mId;
	private String mName;
	private String mTopic;

	public Channel(String name, String topic) {
		this("", name, topic);
	}

	public Channel(String channelId, String name, String topic) {
		mId = channelId;
		mName = name;
		mTopic = topic;
	}

	@Override
	public boolean equals(Object other) {
		return other instanceof Channel && ((Channel) other).mId.equals(mId);
	}

	public String getId() {
		return mId;
	}

	public String getName() {
		return mName;
	}

	public String getTopic() {
		return mTopic;
	}

}
