/*
   Copyright 2013 Harri Smatt

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
 */

package fi.harism.lucidchat.api;

/**
 * Message information holder.
 */
public class Message {

	public static final int TYPE_CONVERSATION = 1;
	public static final int TYPE_LOG = 2;

	private String mMessage;
	private String mSender;
	private long mTime;
	private int mType;

	public Message(int type, long time, String sender, String message) {
		mType = type;
		mTime = time;
		mSender = sender;
		mMessage = message;
	}

	public Message(int type, String message) {
		this(type, System.currentTimeMillis(), "", message);
	}

	public Message(int type, String sender, String message) {
		this(type, System.currentTimeMillis(), sender, message);
	}

	public String getMessage() {
		return mMessage;
	}

	public String getSender() {
		return mSender;
	}

	public long getTime() {
		return mTime;
	}

	public int getType() {
		return mType;
	}

}
